Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
POSTDistributed Storage Related InterfacesSince 0.6SynchronousAuth Required

Add Distributed Storage Pool

Add Distributed Storage Pool

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • primaryStorageUuidStringRequired

    Primary Storage UUID

Body Fields

  • poolNameStringRequired

    池名称。

  • aliasNameString

    No description provided.

  • descriptionString

    Resource description

  • isCreateboolean

    是否创建。

  • typeStringRequired

    Storage pool type

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    For details, see error

    • codeStringRequired

      Error code number, globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. If there is no original error, this field is null

  • inventoryCephPrimaryStoragePoolInventoryRequired

    For details, see inventory

    • uuidStringRequired

      Resource UUID, uniquely identifies the resource

    • primaryStorageUuidStringRequired

      Primary Storage UUID

    • poolNameStringRequired

      池名称。

    • aliasNameStringRequired

      No description provided.

    • descriptionStringRequired

      Resource description

    • createDateTimestampRequired

      Creation time

    • lastOpDateTimestampRequired

      Last modification time

    • typeStringRequired

      类型。

    • availableCapacityLongRequired

      可用容量。

    • usedCapacityLongRequired

      已使用容量。

    • replicatedSizeIntegerRequired

      No description provided.

Endpoint

POST/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools

/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools

Operation ID

AddCephPrimaryStoragePool

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/ceph/{primaryStorageUuid}/pools' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"poolName":"<poolName>","aliasName":"<aliasName>","description":"<description>","isCreate":true,"type":"<type>","resourceUuid":"<resourceUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "97ac9dc5fc223f80918747a8a398478b", "primaryStorageUuid": "82b127a3f6cc3ec7bd7ff01069310099", "poolName": "pool name", "aliasName": "alias name", "description": "description", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "type": "Data" } }

Change History

This API has no change history records yet.

View all change history